Frage: Aktualisierung Inadyn

    Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

    • Frage: Aktualisierung Inadyn

      Nabend zusammen,

      Wäre es eventuell möglich das Plugin auf dem Unstable Feed (DM 500hd) auf die aktuelle Version (1.99) zu aktualisieren?
      Derzeitige Version ist 1.96.

      Ich hoffe meine Anfrage ist hier passend.

      Danke schonmal vorab.
      :prost:
    • Hi,
      ich würde mich da anhängen... inzwischen gibt es Version 2.x mit total praktischer Unterstützung von viel mehr providern und diese können auch mehrfach/parallel genutzt werden.
      Auf der dm920 findet sich jedoch noch 1.96.

      Vorteile der 2-er Version ist z.B. dass tunnelbroker.net für den aktiven Aufbau/"Fix" für IPv6 Verbindungen möglich ist, was die Fritz!Box nicht unterstützt/automatisch aktualisieren kann (jeden Falls nicht meine 7390).
      Dazu werden auch deutlich mehr Provider unterstützt die für den deutschen Raum sicher sinnvoll sind (sehe da strato.de; versuche noch domaindiscount24 aufzunehmen)

      github.com/troglobit/inadyn

      Danke und Grüße
    • da müste ja das ganze plugin umgeschrieben werden enigma2-plugin-newnigma2-inadyn
      » Chuck Norris kann Zwiebeln zum Weinen bringen «

      Konfuzius sagt:
      Erst wenn eine Mücke auf deinen Hoden landet wirst du lernen Probleme ohne Gewalt zu lösen.

      Die Deutsche Rechtschreibung ist Freeware, sprich, du kannst sie kostenlos nutzen.
      Allerdings ist sie nicht Open Source, d.h. du darfst sie nicht verändern oder in veränderter Form veröffentlichen.
    • Also ich kann es sowieso nicht per GUI konfigurieren, weil nur die ersten 4 der 6-7 Parameter angezeigt werden; der Rest verschwindet unter den Buttons/Frame ...
      Und soweit ich das sehe, ist die 1.96-er Version schon seit Jahren veraltet. - wie initial 2015 hier die Anfrage zum Update kam.

      Die "Hole IP" Funktion, die defaultmässig ja funktionieren müsste wenn dyndns check IP URL verwendet wird, geht auch nicht...

      Die Pakete beinhalten immer nur die binaries ... wie kommt man an die sourcen für Adaption ? (gerne Forum/Repo Link) ?
      Glücklicherweise kenne ich mich mit apt/Debian gut aus ;) ... "dpkg -L enigma2-plugin-newnigma2-inadyn" zeigt u.a. an:
      /usr/lib/enigma2/python/Plugins/newnigma2/InaDyn
      /usr/lib/enigma2/python/Plugins/newnigma2/InaDyn/inadyn.png
      /usr/lib/enigma2/python/Plugins/newnigma2/InaDyn/__init__.pyo
      /usr/lib/enigma2/python/Plugins/newnigma2/InaDyn/maintainer.info
      /usr/lib/enigma2/python/Plugins/newnigma2/InaDyn/InaDynMainMenu.pyo
      /usr/lib/enigma2/python/Plugins/newnigma2/InaDyn/plugin.pyo


      Ah, selbst Debian Jessie hatte schon 1.9.9, die diese Unterstützung/Änderung anbietet: packages.debian.org/jessie/inadyn -
      Das würde auch erklären, warum das Paket nicht bei mir funktioniert / vermutlich total veraltete Voreinstellungen hat (DynDNS ist seit Jahren nicht mehr frei verfügbar)
    • kannst ja mal dein glück probieren auf dem feed liegt inadyn_git+git0+e313528b5d-r0.0 ka ob es geht
      » Chuck Norris kann Zwiebeln zum Weinen bringen «

      Konfuzius sagt:
      Erst wenn eine Mücke auf deinen Hoden landet wirst du lernen Probleme ohne Gewalt zu lösen.

      Die Deutsche Rechtschreibung ist Freeware, sprich, du kannst sie kostenlos nutzen.
      Allerdings ist sie nicht Open Source, d.h. du darfst sie nicht verändern oder in veränderter Form veröffentlichen.
    • hier nicht und es sollte auch kein enigma2-plugin-newnigma2-inadyn mehr geben

      Quellcode

      1. root@dm920:/usr/lib/enigma2/python$ apt-get install inadyn
      2. Reading package lists... Done
      3. Building dependency tree
      4. Reading state information... Done
      5. The following extra packages will be installed:
      6. libconfuse2
      7. The following NEW packages will be installed:
      8. inadyn libconfuse2
      9. 0 upgraded, 2 newly installed, 0 to remove and 47 not upgraded.
      10. Need to get 47,4 kB of archives.
      11. After this operation, 0 B of additional disk space will be used.
      12. Do you want to continue? [Y/n]
      13. Get:1 http://feed.newnigma2.to/daily/oe2.5/deb/arm/ ./ libconfuse2 git+git0+7dcfdf6577-r0.0 [17,4 kB]
      14. Get:2 http://feed.newnigma2.to/daily/oe2.5/deb/arm/ ./ inadyn git+git0+e313528b5d-r0.0 [29,9 kB]
      15. Fetched 47,4 kB in 0s (172 kB/s)
      16. Selecting previously unselected package libconfuse2.
      17. (Reading database ... 15582 files and directories currently installed.)
      18. Preparing to unpack .../libconfuse2_git+git0+7dcfdf6577-r0.0_armhf.deb ...
      19. Unpacking libconfuse2 (git+git0+7dcfdf6577-r0.0) ...
      20. Selecting previously unselected package inadyn.
      21. Preparing to unpack .../inadyn_git+git0+e313528b5d-r0.0_armhf.deb ...
      22. Unpacking inadyn (git+git0+e313528b5d-r0.0) ...
      23. Setting up libconfuse2 (git+git0+7dcfdf6577-r0.0) ...
      24. /sbin/ldconfig: /usr/lib/libgomp.so.1 is not a symbolic link
      25. /sbin/ldconfig: /usr/lib/libsoxr.so.0 is not a symbolic link
      26. Setting up inadyn (git+git0+e313528b5d-r0.0) ...
      27. Created symlink /etc/systemd/system/multi-user.target.wants/inadyn.service → /lib/systemd/system/inadyn.service.
      28. root@dm920:/usr/lib/enigma2/python$ which inadyn
      29. /usr/sbin/inadyn
      Alles anzeigen
      » Chuck Norris kann Zwiebeln zum Weinen bringen «

      Konfuzius sagt:
      Erst wenn eine Mücke auf deinen Hoden landet wirst du lernen Probleme ohne Gewalt zu lösen.

      Die Deutsche Rechtschreibung ist Freeware, sprich, du kannst sie kostenlos nutzen.
      Allerdings ist sie nicht Open Source, d.h. du darfst sie nicht verändern oder in veränderter Form veröffentlichen.